CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

AutoCAD 2020 开发者帮助

AltRoundDistance 属性 (ActiveX)

2024-5-18 18:21| 发布者: admin| 查看: 13| 评论: 0|原作者: admin|来自: AutoCAD

AltRoundDistance 属性 (ActiveX)

指定备用单位的舍入。

支持的平台:仅限 Windows

签名

VBA:

object.AltRoundDistance
对象

类型:DimAlignedDimArcLengthDimDiametricDimOrdinateDimRadial、DimRadialLargeDimRotated

此属性应用于的对象。

属性值

只读:

类型:

一个正实数,表示要将距离舍入到的值。初始值为 0.00。

言论

如果该属性处于打开状态,则此属性将定义要将距离舍入到的数字。AltUnits

注意:此属性将覆盖给定维度的 DIMALTRND 系统变量的值。

例子

VBA:

Sub Example_AltRoundDistance()
   ' This example creates an aligned dimension in model space and
   ' uses AltRoundDistance to set the alternate unit display
   ' of the dimension to rounded values

    Dim dimObj As AcadDimAligned
    Dim point1(0 To 2) As Double, point2(0 To 2) As Double
    Dim location(0 To 2) As Double
    
    ' Define the dimension
    point1(0) = 5: point1(1) = 5: point1(2) = 0
    point2(0) = 10.123: point2(1) = 5: point2(2) = 0
    location(0) = 5: location(1) = 7: location(2) = 0
    
    ' Create an aligned dimension object in model space
    Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)
    
    ' Enable alternate unit display
    dimObj.AltUnits = True
    
    ThisDrawing.Application.ZoomAll
    
    MsgBox "Press any key to round the alternate dimension unit display to .5"
    
    ' Round the distance of the alternate dimension to 0.50 of a unit
    dimObj.AltRoundDistance = 0.5
    ThisDrawing.Regen acAllViewports
    
    MsgBox "Alternate dimension units have been rounded to: " & dimObj.AltRoundDistance
End Sub

可视化 LISP:

(vl-load-com)
(defun c:Example_AltRoundDistance()
    ;; This example creates an aligned dimension in model space and
    ;; uses AltRoundDistance to set the alternate unit display
    ;; of the dimension to rounded values
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
  
    ;; Define the dimension
    (setq point1 (vlax-3d-point 5 5 0)
          point2 (vlax-3d-point 10.123 5 0)
          location (vlax-3d-point 5 7 0))

    ;; Create an aligned dimension object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))
    
    ;; Enable alternate unit display
    (vla-put-AltUnits dimObj :vlax-true)
    
    (vla-ZoomAll acadObj)
    
    (alert "Round the alternate dimension unit display to .5")
    
    ;; Round the distance of the alternate dimension to 0.50 of a unit
    (vla-put-AltRoundDistance dimObj 0.5)
    (vla-Regen doc acAllViewports)
    
    (alert (strcat "Alternate dimension units have been rounded to: " (rtos (vla-get-AltRoundDistance dimObj) 2 4)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-6-27 16:14

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部